Subject: bug#75794: [PATCH] feat(icomplete): markers and vertical alignment

From: Rahul Juliato <[email-masked]>
Date: Thu, 6 Mar 2025 23:00:51 -0300

After my last message I was thinking that anyone coming here might be a
little bit lost reading this thread (indeed, my fault).

Relevant points:

- At this time, this is the latest patch to improve icomplete-vertical:
https://debbugs.gnu.org/cgi/bugreport.cgi?att=1;filename=0001-Enhance-icomplete-vertical-mode.patch;msg=34;bug=75794

- This is a video demo: https://www.youtube.com/watch?v=ni0l6PruJEs

- (new) With the patch applied, eval this file after `emacs -Q` and test
M-x and in-buffer completion (binded to Tab): https://0x0.st/8ua3.el

Attached, some thumbs on default theme and wombat, for comparison.

Thanks,
---

Rahul Martim Juliato